#include <cmath>

#include "light.h"

vec3 DirectionalLight::getAttenuation( const vec3& P ) const
{
	// distance to light is infinite, so f(di) goes to 0.  Return 1, 
	// which simulates a constant field of directional light energy.

	return vec3(1.0,1.0,1.0);
}

vec3 DirectionalLight::getColour( const vec3& P ) const
{
	// Colour doesn't depend on P 
	return colour;
}

vec3 DirectionalLight::getDirection( const vec3& P ) const
{
	return -orientation;
}

vec3 PointLight::getAttenuation( const vec3& P ) const
{
	// YOUR CODE HERE

	// You'll need to modify this method to attenuate the intensity 
	// of the light based on the distance between the source and the 
	// point P.  For now, I assume no attenuation and just return 1.0.

	return vec3(1.0,1.0,1.0);
}

vec3 PointLight::getColour( const vec3& P ) const
{
	// Colour doesn't depend on P 
	return colour;
}

vec3 PointLight::getDirection( const vec3& P ) const
{
	return (position - P).normalize();
}
